"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphile_build_1 = require("graphile-build");
class PgLiveProvider extends graphile_build_1.LiveProvider {
    constructor() {
        super("pg");
    }
    collectionIdentifierIsValid(collectionIdentifier) {
        return collectionIdentifier && collectionIdentifier.kind === "class";
    }
    recordIdentifierIsValid(collectionIdentifier, recordIdentifier) {
        if (!Array.isArray(recordIdentifier))
            return false;
        if (!collectionIdentifier.primaryKeyConstraint)
            return false;
        if (recordIdentifier.length !==
            collectionIdentifier.primaryKeyConstraint.keyAttributes.length) {
            return false;
        }
        // TODO: more validation would not go amiss
        return true;
    }
}
exports.default = PgLiveProvider;
//# sourceMappingURL=PgLiveProvider.js.map