"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (function PgColumnDeprecationPlugin(builder) {
    builder.hook("GraphQLObjectType:fields:field", (field, _build, context) => {
        const { scope: { pgFieldIntrospection }, } = context;
        if (!pgFieldIntrospection ||
            !pgFieldIntrospection.tags ||
            !pgFieldIntrospection.tags.deprecated) {
            return field;
        }
        return Object.assign(Object.assign({}, field), { deprecationReason: Array.isArray(pgFieldIntrospection.tags.deprecated)
                ? pgFieldIntrospection.tags.deprecated.join("\n")
                : String(pgFieldIntrospection.tags.deprecated) });
    }, ["PgColumnDeprecation"]);
});
//# sourceMappingURL=PgColumnDeprecationPlugin.js.map