"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseTags = (str) => {
    return str.split(/\r?\n/).reduce((prev, curr) => {
        if (prev.text !== "") {
            return Object.assign(Object.assign({}, prev), { text: `${prev.text}\n${curr}` });
        }
        const match = curr.match(/^@[a-zA-Z][a-zA-Z0-9_]*($|\s)/);
        if (!match) {
            return Object.assign(Object.assign({}, prev), { text: curr });
        }
        const key = match[0].substr(1).trim();
        const value = match[0] === curr ? true : curr.replace(match[0], "");
        return Object.assign(Object.assign({}, prev), { tags: Object.assign(Object.assign({}, prev.tags), { [key]: !Object.prototype.hasOwnProperty.call(prev.tags, key)
                    ? value
                    : Array.isArray(prev.tags[key])
                        ? [...prev.tags[key], value]
                        : [prev.tags[key], value] }) });
    }, {
        tags: {},
        text: "",
    });
};
exports.base64 = (str) => Buffer.from(String(str)).toString("base64");
exports.nullableIf = (GraphQLNonNull, condition, Type) => (condition ? Type : new GraphQLNonNull(Type));
//# sourceMappingURL=utils.js.map